QGIS Application - Bug report #6696
Raster calculator - "in memory raster"
2012-11-15 06:59 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:2.2.0 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 15861
Description

Using raster calculator, | have a simple calculation - (36SK10se@1 + 36SK10se@1) / 2 - If | use all the defaults, setting the output type
to TIF say and setting a directory it works.

If however | set output format to "In Memory Raster" (leaving everything else), then | get this error upon trying to execute it:
"C:/tempdata/asdf.tif is not a valid or recognized raster data source"

C:/tempdata/asdf.tif is what | specified as the "output layer".

There is some combination of the below bugs here, depending on desired behaviour:

a) It's not possible to press "ok" until an output layer has been specified. Even if the format is "in memory raster".

b) The In Memory Raster shouldn't be trying to write anything out so shouldn't care what's in the "output layer" field.

c¢) The error message implies that it is reading the data (it being a "source"). The error could instead say: "XYZ is not a valid or recognized
raster destination”

History

#1 - 2013-02-21 02:04 AM - Jonathan Moules

Also occurs in master

#2 - 2014-02-25 07:59 AM - Jonathan Moules

Proposed solution - don't require an "output layer" to be specified when the output format is "In Memory Raster".

Also grey out the "output layer" box when this is selected.

#3 - 2014-02-26 01:30 AM - Martin Dobias

So there are some GUI issues - for those | would suggest introducing a checkbox "keep in memory only" that would disable the format combo box + output
layer. But more importantly the problem is that the output dataset is closed and then reopened - for in memory data it is fatal as all data are lost on close.
Output raster layer in QGIS would need to be constructed from an existing GDAL dataset handle - there is currently no way of doing that (layers in QGIS

are always constructed from URI string).

#4 - 2014-02-27 11:09 AM - Giovanni Manghi
- Affected QGIS version changed from 1.8.0 to 2.2.0
- Target version set to Future Release - Lower Priority
#5 - 2017-05-01 01:09 AM - Giovanni Manghi
- Regression? set to No
- Easy fix? set to No

#6 - 2019-03-09 03:11 PM - Giovanni Manghi
- Status changed from Open to Closed
- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

2024-03-13 22


http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

